using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp19
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int x = int.Parse(Console.ReadLine());
            int y = int.Parse(Console.ReadLine());
            Int64 z = 0;
            int n=0;
            while(x>0&&y>0)
            {
                if (x % 10 > y % 10)
                {
                    z += (x % 10) * Convert.ToInt64(Math.Pow(10, n));
                    n++;
                }
                else if (x % 10 < y % 10)
                {
                    z += (y % 10) * Convert.ToInt64(Math.Pow(10, n));
                    n++;
                }
                else
                {
                    z += (y % 10) * Convert.ToInt64(Math.Pow(10, n));
                    n++;
                    z += (x % 10) * Convert.ToInt64(Math.Pow(10, n));
                    n++;
                }
                x /= 10;
                y /= 10;
            }
          
            if (x > 0)
            {
               

                z += x * Convert.ToInt64(Math.Pow(10, n));
              

            }
            else if(y>0)
            {
                z += y * Convert.ToInt64(Math.Pow(10, n));               
            }
            Console.WriteLine(z);
            
           
        }
    }
}